Bug 1301069 - Dashboard page doesn't link to other pages properly
Dashboard page doesn't link to other pages properly
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: sankarshan
Martin Bukatovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 08:53 EST by Martin Bukatovic
Modified: 2016-11-13 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version: rhscon-core-0.0.34-1.el7scon.x86_64 rhscon-ceph-0.0.33-1.el7scon.x86_64 rhscon-ui-0.0.47-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (93.36 KB, image/png)
2016-01-22 10:27 EST, Martin Bukatovic
no flags Details
screenshot 2 (127.54 KB, image/png)
2016-01-22 10:28 EST, Martin Bukatovic
no flags Details
screenshot 3 (93.67 KB, image/png)
2016-01-22 10:28 EST, Martin Bukatovic
no flags Details
screenshot 4 (71.64 KB, image/png)
2016-01-22 10:28 EST, Martin Bukatovic
no flags Details

  None (edit)
Description Martin Bukatovic 2016-01-22 08:53:43 EST
Description of problem
======================

When a cluster is created, the Dashboard page links to other pages in
inconsistent and/or invalid way.

Version-Release number of selected component
============================================

# rpm -qa 'rhscon*'
rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
rhscon-ui-0.0.6-0.1.alpha1.el7.noarch
rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64

How reproducible
================

100 % (assuming you manage to create the cluster with success)

Steps to Reproduce
==================

1. Install skyring on server and prepare few hosts for cluster setup
2. Accept all nodes
3. Create new cluster using "Create Cluster" wizard,
   but don't create a storage pool
4. Go to the "Dashboard" page

Actual results
==============

The Dashboard page is not consistent.

i) The top part of the page contains 4 boxes, each with a headline. The problem
is that html link wrapping the headline is either not valid or consistent:

 * Clusters: headline is not a html link
 * Hosts: link points to http://usm.example.com:8080/#
 * Storage: link points to http://usm.example.com:8080/#
 * Services: link points to http://usm.example.com:8080/#

When such link is clicked on, a blank page is shown instead of particular
section (Clusters/Hosts/Storage/Services page).

See screenshot-1.

ii) The top part of the page contains 4 boxes, 3 of them are reachable from
the left menubar with an exception of "Services" page, which is not present
there.

See screenshot-2.

iii) Storage box has different icon compared to it's icon used in the left menu
bar.

See screenshot-3.

iv) There are 4 "top" boxes for Top {Cluster{IOPS,Bandwidth},Host{CPU,Memory}},
with "View All" link in each of them. In all of these top boxes, this link
points to http://usm.example.com:8080/# (so that again, a blank page is shown
when this link is clicked on).

See screenshot-4.

Expected results
================

Based on the current design of the Dashboard page, I would expect that:

 i)   All html links in top 4 boxes points to their's pages properly.
 ii)  Services page is reachable from the left menu.
 iii) Storage page uses the same icon in various places.
 iv)  All "View All" html links in top boxes points to theirs respective pages.
Comment 1 Martin Bukatovic 2016-01-22 10:27 EST
Created attachment 1117227 [details]
screenshot 1
Comment 2 Martin Bukatovic 2016-01-22 10:28 EST
Created attachment 1117229 [details]
screenshot 2
Comment 3 Martin Bukatovic 2016-01-22 10:28 EST
Created attachment 1117230 [details]
screenshot 3
Comment 4 Martin Bukatovic 2016-01-22 10:28 EST
Created attachment 1117231 [details]
screenshot 4
Comment 7 Nishanth Thomas 2016-06-14 08:22:52 EDT
Showing pretty old screen shots. All these are fixed
Comment 8 Martin Bukatovic 2016-06-29 10:37:08 EDT
Checking with the last QE ready build:

~~~
# rpm -qa rhscon*
rhscon-ui-0.0.42-1.el7scon.noarch
rhscon-core-0.0.28-1.el7scon.x86_64
rhscon-ceph-0.0.27-1.el7scon.x86_64
rhscon-core-selinux-0.0.28-1.el7scon.noarch
~~~

Here you can find comments for each sub issue:

i) Redesigned: there are different boxes on the Dashboard page now. All
headlines of the boxes are no longer clickable, with one exception:

Utilization headline is clickable and the link is not valid. Html code looks
like this:

~~~
<a href="">Utilization</a>
~~~

=> moving back into ASSIGNED state

All the other issues were addressed during redesign:

ii) Redesigned and no longer applicable
iii) Redesigned (there are no such icons on the dashboard page anymore)
iv) Redesigned and no longer applicable
Comment 9 Martin Bukatovic 2016-08-02 13:39:31 EDT
Checking with: rhscon-ui-0.0.51-1.el7scon.noarch

Utilization headline is no longer clickable.

>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.